## npm 0.2.19

=== Makefile ===

docs = $(shell find doc -name '*.md' \
				|sed 's|.md|.1|g' \
				|sed 's|doc/|man1/|g' \
				)
doc_subfolders = $(shell find doc -type d \
									|sed 's|doc/|man1/|g' \
									)

install:
	node cli.js install npm

dev:
	node cli.js install

link: uninstall
	node cli.js link

clean: uninstall

uninstall:
	node cli.js cache clean
	node cli.js rm npm -r

man: man1

man1: $(doc_subfolders)
	@if ! test -d man1 ; then mkdir -p man1 ; fi

doc: man1 $(docs)

# use `npm install ronn` for this to work.
man1/%.1: doc/%.md
	ronn --roff $< > $@

man1/%/: doc/%/
	@if ! test -d $@ ; then mkdir -p $@ ; fi

test:
	./test/run.sh

version: link
	git add package.json \
		&& git ci -m v$(shell npm -v)

publish: link
	git tag -s -m v$(shell npm -v) v$(shell npm -v) \
		&& git push origin master \
		&& npm publish

.PHONY: install install-dev link doc clean uninstall test man

=== debian/changelog ===
npm (0.2.19-1) unstable; urgency=low

  * New upstream release.

  [ Jonas Smedegaard ]
  * Bump policy compliance to standards-version 3.9.2.
  * Bump copyright file format to draft 174 of DEP-5.
  * Replace long description with intro from upstream documentation.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Apr 2011 11:32:28 +0200

npm (0.2.16-1) unstable; urgency=low

  [ Jérémy Lal ]
  * Initial release.
    Closes: #587525.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 29 Jan 2011 15:03:31 +0100

=== debian/control ===
Source: npm
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>,
 Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 bash-completion
Standards-Version: 3.9.2
Homepage: http://github.com/isaacs/npm
Vcs-Git: git://git.debian.org/collab-maint/npm.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/npm.git;a=summary

Package: npm
Architecture: all
Depends: nodejs (>= 0.2.6),
 nodejs-dev (>= 0.2.6),
 ${misc:Depends}
Description: package manager for nodejs
 npm is the package manager for the Node JavaScript platform.  It puts
 modules in place so that node can find them, and manages dependency
 conflicts intelligently.
 .
 It is extremely configurable to support a wide variety of use cases.
 Most commonly, it is used to publish, discover, install, and develop
 node programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_UPSTREAM_URL = http://githubredir.debian.net/github/isaacs/npm
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate

# Suppress copyright-checking some binaries to not upset dpkg-source
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(html/npm-.*\.png|debian/(changelog|copyright(|_hints|_newhints)))$

install/npm::
	dh_bash-completion

# fix manpages file names : prepend npm- except for npm.1, and link manpages from npm manroot to the ones in /usr/share/man
# also fix permissions
binary-post-install/npm::
	fManpages=`find $(CURDIR)/debian/npm/usr/share/man -name *.1`; \
	for i in $$fManpages; do \
		lDir=`dirname "$$i"`; \
		lFile=`basename "$$i"`; \
		lManDir=`basename "$$lDir"`; \
		lRenamed="$$lFile"; \
		if [ "$$lFile" != "npm.1" ]; then \
			lRenamed="npm-$$lFile"; \
			mv "$$i" "$$lDir/$$lRenamed"; \
		fi; \
		ln -s "../../man/$$lManDir/$$lRenamed.gz" "$(CURDIR)/debian/npm/usr/share/npm/man1/$$lFile.gz"; \
	done
	chmod a-x debian/npm/usr/share/npm/bin/npm.js
	chmod a-x debian/npm/usr/share/npm/cli.js
	chmod a-x debian/npm/usr/share/npm/lib/utils/which.js

=== debian/watch ===
version=3
opts=filenamemangle=s/.*v(.*)$/npm-$1\.tar\.gz/ \
http://github.com/isaacs/npm/downloads .*/tarball/v(.*) debian uupdate

## npm 1.0.0

=== DESCRIPTION ===
Package: npm
Title: Interact with 'NPM'
Version: 1.0.0
Authors@R: 
    person(given = "John",
           family = "Coene",
           role = c("aut", "cre"),
           email = "jcoenep@gmail.com")
Description: Interact with 'NPM' from the 'R Console' to automate
    tasks and ease access to 'JavaScript'.
License: LGPL (>= 3)
Encoding: UTF-8
RoxygenNote: 7.1.2
Imports: assertthat, crayon, cli, erratum (>= 2.2.0)
NeedsCompilation: no
Packaged: 2022-01-18 20:01:59 UTC; john
Author: John Coene [aut, cre]
Maintainer: John Coene <jcoenep@gmail.com>
Repository: CRAN
Date/Publication: 2022-01-19 09:32:44 UTC

## npm 1.1.4~dfsg

=== debian/changelog ===
npm (1.1.4~dfsg-2) unstable; urgency=low

  [ Jérémy Lal ]
  * debian/patches:
    + 1002_only_use_numeric_UIDs_and_GIDs_in_spawn.patch
      Upstream commit. Closes: #687052.
    + 2006_rename_node_to_nodejs.patch : apart from trivial rename of
      node to nodejs in shebangs and makefile, print a warning and refer
      to nodejs README on failure of a package lifecycle script.
      Closes: #686894.
  * debian/control:
    + Tighten nodejs version to the one after the rename.
    + Suggests: build-essential. Closes: #681356.

  [ Jonas Smedegaard ]
  * Directly use github.com (not broken githubredir.debian.net).
  * Allow Debian-Maintainer uploads.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 22 Sep 2012 00:19:00 +0200

npm (1.1.4~dfsg-1) unstable; urgency=low

  * New upstream release.

  [ Jérémy Lal ]
  * Get the source from github repository.
  * Update package relations:
    + Relax to build-depend unversioned on cdbs and debhelper, and to
      depend unversioned on nodejs and O-dev: Required versions
      satisfied even in oldstable.
    + Build-depend on nodejs and ruby-ronn.
    + Depend on node-node-uuid, node-request, node-mkdirp,
      node-minimatch, node-semver, node-ini, node-graceful-fs,
      node-abbrev, node-nopt, node-fstream, node-rimraf, node-tar,
      node-which: Modules bundled with npm upstream yet sensible to
      reuse by other projects are packaged separately for Debian
      (exceptions are proto-list, read and slide).
  * Update copyright:
    + license changed to Expat+no-false-attribs, discussed at :
      http://lists.debian.org/debian-legal/2012/03/msg00030.html
    + Extend copyright year of debian/* section.
    + Added sections for the included modules.
    + Explain Source is repackaged.
    + Added (non-official) Files-Excluded paragraph in header.
  * DFSG repackaging (using cdbs upstream-tarball.mk), remove :
    + non-free html/*/GubbleBum-Blocky.ttf
    + all modules that are dependencies.
  * Patches :
    + Drop patches for missing shebangs, applied upstream.
    + Remove shebang from completion.sh as it is non-executable.
    + Drop patch to fix completion, no longer needed.
    + Comply with license: replace Original Author's bug reporting email
      address and url with information on how to report debian bugs.
    + Use ruby-ronn instead of ronnjs to build documentation.
    + Small documentation fixes.
  * npm configuration has moved from /etc/npm/rootrc, /etc/npm/userrc
    to /etc/npmrc.
  * npm is also installed as a node module, so has man(3) documentation.
  * Documentation installation:
    + Fix gz extension, override lintian errors.
    + Install and register html with doc-base.
  * Use githubredir for watch file.
  * README.Debian updated.
  * Use anonscm.d.o in control Vcs-* fields.
  * Bump policy compliance to standards-version 3.9.3.

  [ Jonas Smedegaard ]
  * Update copyright file:
    + Stop listing convenience copy of uuid.js: no longer included.
    + Extend a copyright year.
    + Abbreviate author middle name (to match upstream change).
    + Add Upstream-Name field.
  * Git-ignore .pc quilt subdir.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 07 Apr 2012 10:16:32 +0200

=== debian/control ===
Source: npm
Section: web
Priority: extra
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jérémy Lal <kapouer@melix.org>,
 Jonas Smedegaard <dr@jones.dk>
DM-Upload-Allowed: yes
Build-Depends: cdbs,
 debhelper,
 dh-buildinfo,
 bash-completion,
 nodejs (>= 0.6.19~dfsg1-3),
 ruby-ronn
Standards-Version: 3.9.3
Homepage: http://github.com/isaacs/npm
Vcs-Git: git://git.debian.org/collab-maint/npm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/npm.git

Package: npm
Architecture: all
Depends: nodejs (>= 0.6.19~dfsg1-3),
 nodejs-dev,
 node-node-uuid,
 node-request,
 node-mkdirp,
 node-minimatch,
 node-semver,
 node-ini,
 node-graceful-fs,
 node-abbrev,
 node-nopt,
 node-fstream,
 node-rimraf,
 node-tar,
 node-which,
 ${misc:Depends}
Suggests: build-essential
Description: package manager for Node.js
 Node.js is an event-based server-side javascript engine.
 .
 npm is the package manager for the Node JavaScript platform.  It puts
 modules in place so that node can find them, and manages dependency
 conflicts intelligently.
 .
 It is extremely configurable to support a wide variety of use cases.
 Most commonly, it is used to publish, discover, install, and develop
 node programs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

DEB_UPSTREAM_URL = https://github.com/isaacs/npm/tarball
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_TARBALL_DELIMITER =
DEB_UPSTREAM_TARBALL_EXTENSION =
DEB_UPSTREAM_RECEIVED_EXTENSION = tar.gz
DEB_UPSTREAM_TARBALL_SRCDIR = isaacs-npm-2defe7b
DEB_UPSTREAM_TARBALL_MD5 = d476e9b8000e11d395b7c817ee0f45c4
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
DEB_UPSTREAM_REPACKAGE_EXCLUDES += \
./html/*/GubbleBum-Blocky.ttf \
./node_modules/request/ \
./node_modules/node-uuid/ \
./node_modules/mkdirp/ \
./node_modules/minimatch/ \
./node_modules/lru-cache/ \
./node_modules/semver/ \
./node_modules/graceful-fs/ \
./node_modules/inherits/ \
./node_modules/abbrev/ \
./node_modules/nopt/ \
./node_modules/ini/ \
./node_modules/block-stream/ \
./node_modules/fstream/ \
./node_modules/rimraf/ \
./node_modules/tar/ \
./node_modules/fast-list/ \
./node_modules/which/ \
./node_modules/slide/nodejs-controlling-flow.pdf

DEB_UPSTREAM_REPACKAGE_TAG = $(shell echo $(DEB_UPSTREAM_VERSION) | egrep -o "dfsg[0-9]*")

# Suppress copyright-checking some binaries to not upset dpkg-source
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(html/npm-.*\.png|debian/(changelog|copyright(|_hints|_newhints)))$

clean::
	make docclean

build/npm::
	make doc

install/npm::
	dh_bash-completion

# Fix manpages file names : prepend npm- except for npm.1,
# and link manpages from npm manroot to the ones in /usr/share/man
# Fix permissions
# Remove LICENSE files.
binary-post-install/npm::
	fManpages=`find $(CURDIR)/debian/npm/usr/share/man -name *.1`; \
	for i in $$fManpages; do \
		lDir=`dirname "$$i"`; \
		lFile=`basename "$$i"`; \
		lManDir=`basename "$$lDir"`; \
		lRenamed="$$lFile"; \
		if [ "$$lFile" != "npm.1" ]; then \
			lRenamed="npm-$$lFile"; \
			mv "$$i" "$$lDir/$$lRenamed"; \
		fi; \
		ln -s "../../../man/$$lManDir/$$lRenamed.gz" "$(CURDIR)/debian/npm/usr/share/npm/man/man1/$$lFile"; \
	done
	fManpages=`find $(CURDIR)/debian/npm/usr/share/man -name *.3`; \
	for i in $$fManpages; do \
		lDir=`dirname "$$i"`; \
		lFile=`basename "$$i"`; \
		lManDir=`basename "$$lDir"`; \
		lRenamed="$$lFile"; \
		if [ "$$lFile" != "npm.3" ]; then \
			lRenamed="npm-$$lFile"; \
			mv "$$i" "$$lDir/$$lRenamed"; \
		fi; \
		ln -s "../../../man/$$lManDir/$$lRenamed.gz" "$(CURDIR)/debian/npm/usr/share/npm/man/man3/$$lFile"; \
	done
	chmod a-x debian/npm/usr/share/npm/bin/*.js
	chmod a+x debian/npm/usr/share/npm/bin/npm-cli.js
	find debian/npm -name LICENSE -delete

=== debian/watch ===
version=3
opts=dversionmangle=s/~dfsg[\d]*$// \
https://github.com/isaacs/npm/tags .*/tarball/v?(\d[\d\.]+)

## npm 1.2.18~dfsg

=== debian/changelog ===
npm (1.2.18~dfsg-3) experimental; urgency=low

  * Add missing dependency on node-fstream-ignore.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 30 Apr 2013 00:28:32 +0200

npm (1.2.18~dfsg-2) experimental; urgency=low

  * Try to keep compatibility with nodejs 0.6 in
    debian/patches/2007_nodejs_0_6_compat.patch.

 -- Jérémy Lal <kapouer@melix.org>  Mon, 29 Apr 2013 00:13:30 +0200

npm (1.2.18~dfsg-1) experimental; urgency=low

  * New upstream release. (Closes: #695821, #705236)
  * debian/patches:
    + refresh
    + remove upstream patches.
  * debian/control:
    + update dependencies on external node-* modules
    + tighten dependencies on modules that are available in unstable
      and experimental, only when required by npm package.json.
    + remove DMUA field.
    + no longer Suggests: build-essential, since building is handled by
      node-gyp, not directly by npm.
  * debian/copyright:
    + update sections to match required modules,
    + update the list of excluded files,
    + comment why some modules are kept inside npm
  * debian/watch: fix again.

 -- Jérémy Lal <kapouer@melix.org>  Sun, 28 Apr 2013 21:03:50 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>,
  Jonas Smedegaard <dr@jones.dk>
-DM-Upload-Allowed: yes
 Build-Depends: cdbs,
  debhelper,
  dh-buildinfo,
@@ -19,22 +18,35 @@
 Package: npm
 Architecture: all
 Depends: nodejs (>= 0.6.19~dfsg1-3),
- nodejs-dev,
- node-node-uuid,
+ ${misc:Depends},
+ node-abbrev (>= 1.0.4),
+ node-ansi,
+ node-archy,
+ node-block-stream,
+ node-fstream (>= 0.1.22),
+ node-fstream-ignore,
+ node-glob (>= 3.1.21),
+ node-graceful-fs (>= 1.2.0),
+ node-inherits,
+ node-ini (>= 1.1.0),
+ node-lockfile,
+ node-lru-cache (>= 2.3.0),
+ node-minimatch (>= 0.2.11),
+ node-mkdirp (>= 0.3.3),
+ node-gyp (>= 0.9.3),
+ node-nopt (>= 2.1.1),
+ node-npmlog,
+ node-once,
+ node-osenv,
+ node-read,
+ node-read-package-json,
  node-request,
- node-mkdirp,
- node-minimatch,
- node-semver,
- node-ini,
- node-graceful-fs,
- node-abbrev,
- node-nopt,
- node-fstream,
+ node-retry,
  node-rimraf,
- node-tar,
- node-which,
- ${misc:Depends}
-Suggests: build-essential
+ node-semver (>= 1.1.2),
+ node-slide,
+ node-tar (>= 0.1.17),
+ node-which
 Description: package manager for Node.js
  Node.js is an event-based server-side javascript engine.
  .

=== debian/rules ===
--- 
+++ 
@@ -12,39 +12,49 @@
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
 CDBS_BUILD_DEPENDS_rules_utils_copyright-check =
 
-DEB_UPSTREAM_URL = https://github.com/isaacs/npm/tarball
-DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_URL = https://github.com/isaacs/npm/archive
+DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION).tar.gz
 DEB_UPSTREAM_TARBALL_DELIMITER =
 DEB_UPSTREAM_TARBALL_EXTENSION =
 DEB_UPSTREAM_RECEIVED_EXTENSION = tar.gz
-DEB_UPSTREAM_TARBALL_SRCDIR = isaacs-npm-2defe7b
-DEB_UPSTREAM_TARBALL_MD5 = d476e9b8000e11d395b7c817ee0f45c4
+DEB_UPSTREAM_TARBALL_SRCDIR = npm-$(DEB_UPSTREAM_TARBALL_VERSION)
+DEB_UPSTREAM_TARBALL_MD5 = 7e8d20e6c845802fbc2315428e7d6d9c
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += \
-./html/*/GubbleBum-Blocky.ttf \
-./node_modules/request/ \
-./node_modules/node-uuid/ \
-./node_modules/mkdirp/ \
-./node_modules/minimatch/ \
-./node_modules/lru-cache/ \
-./node_modules/semver/ \
+./html/static/webfonts/23242D_3_0.* \
+./node_modules/abbrev/ \
+./node_modules/ansi/ \
+./node_modules/archy/ \
+./node_modules/block-stream/ \
+./node_modules/fstream/ \
+./node_modules/fstream-npm/node_modules/fstream-ignore/ \
+./node_modules/glob/ \
 ./node_modules/graceful-fs/ \
 ./node_modules/inherits/ \
-./node_modules/abbrev/ \
+./node_modules/ini/ \
+./node_modules/lockfile/ \
+./node_modules/lru-cache/ \
+./node_modules/minimatch/ \
+./node_modules/mkdirp/ \
+./node_modules/node-gyp/ \
 ./node_modules/nopt/ \
-./node_modules/ini/ \
-./node_modules/block-stream/ \
-./node_modules/fstream/ \
+./node_modules/npmlog/ \
+./node_modules/once/ \
+./node_modules/osenv/ \
+./node_modules/read/ \
+./node_modules/read-package-json/ \
+./node_modules/request/ \
+./node_modules/retry/ \
 ./node_modules/rimraf/ \
+./node_modules/semver/ \
+./node_modules/slide/ \
 ./node_modules/tar/ \
-./node_modules/fast-list/ \
-./node_modules/which/ \
-./node_modules/slide/nodejs-controlling-flow.pdf
+./node_modules/which/
 
 DEB_UPSTREAM_REPACKAGE_TAG = $(shell echo $(DEB_UPSTREAM_VERSION) | egrep -o "dfsg[0-9]*")
 
 # Suppress copyright-checking some binaries to not upset dpkg-source
-DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(html/npm-.*\.png|debian/(changelog|copyright(|_hints|_newhints)))$
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(html/npm.*\.png|html/favicon\.ico|html/n-.*\.png|debian/(changelog|copyright(|_hints|_newhints))|node_modules/npm-registry-client/node_modules/couch-login/test/fixtures/registry\.couch)$
 
 clean::
 	make docclean
@@ -85,6 +95,10 @@
 		ln -s "../../../man/$$lManDir/$$lRenamed.gz" "$(CURDIR)/debian/npm/usr/share/npm/man/man3/$$lFile"; \
 	done
 	chmod a-x debian/npm/usr/share/npm/bin/*.js
+	chmod a-x debian/npm/usr/share/npm/node_modules/uid-number/get-uid-gid.js
+	chmod a-x debian/npm/usr/share/npm/node_modules/npmconf/node_modules/config-chain/index.js
 	chmod a+x debian/npm/usr/share/npm/bin/npm-cli.js
 	find debian/npm -name LICENSE -delete
+	find debian/npm -name LICENCE -delete
+	find debian/npm -name LICENSE.txt -delete

## npm 1.3.10~dfsg

=== Makefile ===
# vim: set softtabstop=2 shiftwidth=2:
SHELL = bash

markdowns = $(shell find doc -name '*.md' | grep -v 'index') README.md

html_docdeps = html/dochead.html \
               html/docfoot.html \
               html/docfoot-script.html \
               scripts/doc-build.sh \
               package.json

cli_mandocs = $(shell find doc/cli -name '*.md' \
               |sed 's|.md|.1|g' \
               |sed 's|doc/cli/|man/man1/|g' ) \
               man/man1/npm-README.1

api_mandocs = $(shell find doc/api -name '*.md' \
               |sed 's|.md|.3|g' \
               |sed 's|doc/api/|man/man3/|g' )

files_mandocs = $(shell find doc/files -name '*.md' \
               |sed 's|.md|.5|g' \
               |sed 's|doc/files/|man/man5/|g' ) \
               man/man5/npm-json.5 \
               man/man5/npm-global.5

misc_mandocs = $(shell find doc/misc -name '*.md' \
               |sed 's|.md|.7|g' \
               |sed 's|doc/misc/|man/man7/|g' ) \
               man/man7/npm-index.7

cli_htmldocs = $(shell find doc/cli -name '*.md' \
                |sed 's|.md|.html|g' \
                |sed 's|doc/cli/|html/doc/cli/|g' ) \
                html/doc/README.html

api_htmldocs = $(shell find doc/api -name '*.md' \
                |sed 's|.md|.html|g' \
                |sed 's|doc/api/|html/doc/api/|g' )

files_htmldocs = $(shell find doc/files -name '*.md' \
                  |sed 's|.md|.html|g' \
                  |sed 's|doc/files/|html/doc/files/|g' ) \
                  html/doc/files/npm-json.html \
                  html/doc/files/npm-global.html

misc_htmldocs = $(shell find doc/misc -name '*.md' \
                 |sed 's|.md|.html|g' \
                 |sed 's|doc/misc/|html/doc/misc/|g' ) \
                 html/doc/index.html

mandocs = $(api_mandocs) $(cli_mandocs) $(files_mandocs) $(misc_mandocs)

htmldocs = $(api_htmldocs) $(cli_htmldocs) $(files_htmldocs) $(misc_htmldocs)

all: doc

latest:
	@echo "Installing latest published npm"
	@echo "Use 'make install' or 'make link' to install the code"
	@echo "in this folder that you're looking at right now."
	node cli.js install -g -f npm

install: docclean all
	node cli.js install -g -f

# backwards compat
dev: install

link: uninstall
	node cli.js link -f

clean: ronnclean doc-clean uninstall
	rm npmrc
	node cli.js cache clean

uninstall:
	node cli.js rm npm -g -f

doc: $(mandocs) $(htmldocs)

ronnclean:
	rm -rf node_modules/ronn node_modules/.bin/ronn .building_ronn

docclean: doc-clean
doc-clean:
	rm -rf \
    .building_ronn \
    html/doc \
    html/api \
    man

# use `npm install ronn` for this to work.
man/man1/npm-README.1: README.md scripts/doc-build.sh package.json
	@[ -d man/man1 ] || mkdir -p man/man1
	scripts/doc-build.sh $< $@

man/man1/%.1: doc/cli/%.md scripts/doc-build.sh package.json
	@[ -d man/man1 ] || mkdir -p man/man1
	scripts/doc-build.sh $< $@

man/man3/%.3: doc/api/%.md scripts/doc-build.sh package.json
	@[ -d man/man3 ] || mkdir -p man/man3
	scripts/doc-build.sh $< $@

man/man5/npm-json.5: man/man5/package.json.5
	cp $< $@

man/man5/npm-global.5: man/man5/npm-folders.5
	cp $< $@

man/man5/%.5: doc/files/%.md scripts/doc-build.sh package.json
	@[ -d man/man5 ] || mkdir -p man/man5
	scripts/doc-build.sh $< $@

doc/misc/npm-index.md: scripts/index-build.js package.json
	node scripts/index-build.js > $@

html/doc/index.html: doc/misc/npm-index.md $(html_docdeps)
	@[ -d html/doc ] || mkdir -p html/doc
	scripts/doc-build.sh $< $@

man/man7/%.7: doc/misc/%.md scripts/doc-build.sh package.json
	@[ -d man/man7 ] || mkdir -p man/man7
	scripts/doc-build.sh $< $@

html/doc/README.html: README.md $(html_docdeps)
	@[ -d html/doc ] || mkdir -p html/doc
	scripts/doc-build.sh $< $@

html/doc/cli/%.html: doc/cli/%.md $(html_docdeps)
	@[ -d html/doc/cli ] || mkdir -p html/doc/cli
	scripts/doc-build.sh $< $@

html/doc/api/%.html: doc/api/%.md $(html_docdeps)
	@[ -d html/doc/api ] || mkdir -p html/doc/api
	scripts/doc-build.sh $< $@

html/doc/files/npm-json.html: html/doc/files/package.json.html
	cp $< $@
html/doc/files/npm-global.html: html/doc/files/npm-folders.html
	cp $< $@

html/doc/files/%.html: doc/files/%.md $(html_docdeps)
	@[ -d html/doc/files ] || mkdir -p html/doc/files
	scripts/doc-build.sh $< $@

html/doc/misc/%.html: doc/misc/%.md $(html_docdeps)
	@[ -d html/doc/misc ] || mkdir -p html/doc/misc
	scripts/doc-build.sh $< $@



ronn: node_modules/.bin/ronn

node_modules/.bin/ronn:
	node cli.js install ronn

doc: man

man: $(cli_docs) $(api_docs)

test:
	node cli.js test

publish: link doc
	@git push origin :v$(shell npm -v) 2>&1 || true
	@npm unpublish npm@$(shell npm -v) 2>&1 || true
	git clean -fd &&\
	git push origin &&\
	git push origin --tags &&\
	npm publish &&\
	npm tag npm@$(shell npm -v) $(shell npm -v | awk -F. '{print $$1 "." $$2}') &&\
	make doc-publish &&\
	make zip-publish

docpublish: doc-publish
doc-publish: doc
	# legacy urls
	for f in $$(find html/doc/{cli,files,misc}/ -name '*.html'); do \
    j=$$(basename $$f | sed 's|^npm-||g'); \
    if ! [ -f html/doc/$$j ] && [ $$j != README.html ] && [ $$j != index.html ]; then \
      perl -pi -e 's/ href="\.\.\// href="/g' <$$f >html/doc/$$j; \
    fi; \
  done
	mkdir -p html/api
	for f in $$(find html/doc/api/ -name '*.html'); do \
    j=$$(basename $$f | sed 's|^npm-||g'); \
    perl -pi -e 's/ href="\.\.\// href="/g' <$$f >html/api/$$j; \
  done
	rsync -vazu --stats --no-implied-dirs --delete \
    html/doc/* \
    node@npmjs.org:/home/node/npm-www/doc
	rsync -vazu --stats --no-implied-dirs --delete \
    html/static/webfonts/ \
    node@npmjs.org:/home/node/npm-www/static/webfonts
	rsync -vazu --stats --no-implied-dirs --delete \
    html/static/style.css \
    node@npmjs.org:/home/node/npm-www/static/
	#cleanup
	rm -rf html/api
	for f in html/doc/*.html; do \
    case $$f in \
      html/doc/README.html) continue ;; \
      html/doc/index.html) continue ;; \
      *) rm $$f ;; \
    esac; \
  done

zip-publish: release
	scp release/* node@nodejs.org:dist/npm/

release:
	@bash scripts/release.sh

sandwich:
	@[ $$(whoami) = "root" ] && (echo "ok"; echo "ham" > sandwich) || echo "make it yourself" && exit 13

.PHONY: all latest install dev link doc clean uninstall test man doc-publish doc-clean docclean docpublish release zip-publish

=== debian/changelog ===
npm (1.3.10~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Standards-Version 3.9.4
  * Update README.Debian with info about nodejs-legacy
    (Closes:#650345)
  * copyright:
    + switch npm to Artistic-2.0
    + add sections for editor and npm-user-validate
    + drop debian/* section
    + update list of excluded files
  * control:
    + loosen (build-)dependency on nodejs
    + Build-Depends on node-glob
    + depend on node-github-url-from-git, node-sha,
      and exclude them from tarball
    + bump versions of node-graceful-fs, node-gyp,
      node-read-package-json, node-request, node-rimraf,
      node-semver, node-tar
  * patches:
    + remove 2007 patch for compatibility with nodejs 0.6
    + remove 2001 patch, not needed with the new license
    + enhance 2005 path and forward it upstream
    + add patches to avoid dependency on cmd-shim and
      child-process-close modules
    + add 2001 patch to keep documentation buildable by ronn
      without unicode support
  * docs: new sections, simplify manpages install

 -- Jérémy Lal <kapouer@melix.org>  Sun, 08 Sep 2013 01:40:11 +0200

=== debian/control ===
--- 
+++ 
@@ -8,16 +8,17 @@
  debhelper,
  dh-buildinfo,
  bash-completion,
- nodejs (>= 0.6.19~dfsg1-3),
+ nodejs,
+ node-glob,
  ruby-ronn
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://github.com/isaacs/npm
-Vcs-Git: git://git.debian.org/collab-maint/npm.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/npm.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/npm.git
 
 Package: npm
 Architecture: all
-Depends: nodejs (>= 0.6.19~dfsg1-3),
+Depends: nodejs,
  ${misc:Depends},
  node-abbrev (>= 1.0.4),
  node-ansi,
@@ -25,27 +26,29 @@
  node-block-stream,
  node-fstream (>= 0.1.22),
  node-fstream-ignore,
+ node-github-url-from-git,
  node-glob (>= 3.1.21),
- node-graceful-fs (>= 1.2.0),
+ node-graceful-fs (>= 2.0.0),
  node-inherits,
  node-ini (>= 1.1.0),
  node-lockfile,
  node-lru-cache (>= 2.3.0),
  node-minimatch (>= 0.2.11),
  node-mkdirp (>= 0.3.3),
- node-gyp (>= 0.9.3),
+ node-gyp (>= 0.10.9),
  node-nopt (>= 2.1.1),
  node-npmlog,
  node-once,
  node-osenv,
  node-read,
- node-read-package-json,
- node-request,
+ node-read-package-json (>= 1.1.0),
+ node-request (>= 2.25.0),
  node-retry,
- node-rimraf,
- node-semver (>= 1.1.2),
+ node-rimraf (>= 2.2.2),
+ node-semver (>= 2.1.0),
+ node-sha,
  node-slide,
- node-tar (>= 0.1.17),
+ node-tar (>= 0.1.18),
  node-which
 Description: package manager for Node.js
  Node.js is an event-based server-side javascript engine.

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,6 @@
 DEB_UPSTREAM_TARBALL_EXTENSION =
 DEB_UPSTREAM_RECEIVED_EXTENSION = tar.gz
 DEB_UPSTREAM_TARBALL_SRCDIR = npm-$(DEB_UPSTREAM_TARBALL_VERSION)
-DEB_UPSTREAM_TARBALL_MD5 = 7e8d20e6c845802fbc2315428e7d6d9c
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
 DEB_UPSTREAM_REPACKAGE_EXCLUDES += \
 ./html/static/webfonts/23242D_3_0.* \
@@ -26,8 +25,11 @@
 ./node_modules/ansi/ \
 ./node_modules/archy/ \
 ./node_modules/block-stream/ \
+./node_modules/child-process-close/ \
+./node_modules/cmd-shim/ \
 ./node_modules/fstream/ \
 ./node_modules/fstream-npm/node_modules/fstream-ignore/ \
+./node_modules/github-url-from-git/ \
 ./node_modules/glob/ \
 ./node_modules/graceful-fs/ \
 ./node_modules/inherits/ \
@@ -47,6 +49,7 @@
 ./node_modules/retry/ \
 ./node_modules/rimraf/ \
 ./node_modules/semver/ \
+./node_modules/sha/ \
 ./node_modules/slide/ \
 ./node_modules/tar/ \
 ./node_modules/which/
@@ -65,39 +68,13 @@
 install/npm::
 	dh_bash-completion
 
-# Fix manpages file names : prepend npm- except for npm.1,
-# and link manpages from npm manroot to the ones in /usr/share/man
 # Fix permissions
 # Remove LICENSE files.
 binary-post-install/npm::
-	fManpages=`find $(CURDIR)/debian/npm/usr/share/man -name *.1`; \
-	for i in $$fManpages; do \
-		lDir=`dirname "$$i"`; \
-		lFile=`basename "$$i"`; \
-		lManDir=`basename "$$lDir"`; \
-		lRenamed="$$lFile"; \
-		if [ "$$lFile" != "npm.1" ]; then \
-			lRenamed="npm-$$lFile"; \
-			mv "$$i" "$$lDir/$$lRenamed"; \
-		fi; \
-		ln -s "../../../man/$$lManDir/$$lRenamed.gz" "$(CURDIR)/debian/npm/usr/share/npm/man/man1/$$lFile"; \
-	done
-	fManpages=`find $(CURDIR)/debian/npm/usr/share/man -name *.3`; \
-	for i in $$fManpages; do \
-		lDir=`dirname "$$i"`; \
-		lFile=`basename "$$i"`; \
-		lManDir=`basename "$$lDir"`; \
-		lRenamed="$$lFile"; \
-		if [ "$$lFile" != "npm.3" ]; then \
-			lRenamed="npm-$$lFile"; \
-			mv "$$i" "$$lDir/$$lRenamed"; \
-		fi; \
-		ln -s "../../../man/$$lManDir/$$lRenamed.gz" "$(CURDIR)/debian/npm/usr/share/npm/man/man3/$$lFile"; \
-	done
-	chmod a-x debian/npm/usr/share/npm/bin/*.js
+	chmod a-x debian/npm/usr/share/npm/bin/read-package-json.js
 	chmod a-x debian/npm/usr/share/npm/node_modules/uid-number/get-uid-gid.js
 	chmod a-x debian/npm/usr/share/npm/node_modules/npmconf/node_modules/config-chain/index.js
-	chmod a+x debian/npm/usr/share/npm/bin/npm-cli.js
+	sed -i -e "s|#!/usr/bin/env node|#!/usr/bin/nodejs|" debian/npm/usr/share/npm/node_modules/opener/opener.js
 	find debian/npm -name LICENSE -delete
 	find debian/npm -name LICENCE -delete
 	find debian/npm -name LICENSE.txt -delete

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/npm-$1.tar.gz/,dversionmangle=s/~dfsg[\d]*$// \
https://github.com/isaacs/npm/tags .*/archive/v?([\d\.]+).tar.gz

## npm 1.4.21+ds

=== debian/changelog ===
npm (1.4.21+ds-2) unstable; urgency=medium

  * Depends node-ansi >= 0.3.0-2 as a replacement for
    ansicolors, ansistyles.
  * Update 2009_ansi-color-table.patch. (Closes: #756603)

 -- Jérémy Lal <kapouer@melix.org>  Wed, 06 Aug 2014 00:28:58 +0200

npm (1.4.21+ds-1) unstable; urgency=medium

  * Imported Upstream version 1.4.21+ds
  * control:
    + move Vcs to pkg-javascript
    + depends node-underscore
    + tighten dependency on node-nopt >= 3.0.1
    + build-depends node-marked
  * copyright:
    + add wildcards to Files-Excluded entries
    + exclude underscore module
    + several minor licenses changes
    + several new paragraphs for new bundled modules
  * patches:
    + 2010 to prevent a privacy breach in README.html
    + 2002 remove unicode symbols from package.json.md
  * override lintian privacy-breach-generic about link rel canonical,
    those links are only used by robots.

 -- Jérémy Lal <kapouer@melix.org>  Tue, 29 Jul 2014 08:38:21 +0200

npm (1.4.4+ds-1) unstable; urgency=medium

  * New upstream release. (Closes: #740338)
  * Repackaging is no longer DFSG-needed, now only used to ease
    copyright maintenance.
  * Switch to uscan and debian/copyright Files-Excluded field for
    repackaging upstream tarball. Drop usage of cdbs upstream-tarball.
  * Install completion.sh (Closes: #672388)
  * Convenient removal of ansicolors, ansistyles, text-table.
    Instead, depend on node-ansi-color-table and add 2009 patch.
  * copyright:
    + npm copyright holder changed to npm, inc.
    + switch read-installed, promzard, uid-number to ISC license
    + add sections for path-is-inside,
      github-url-from-username-repo, npm-install-checks, columnify
    + remove couch-login section (no longer included)

 -- Jérémy Lal <kapouer@melix.org>  Sat, 01 Mar 2014 02:57:59 +0100

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
# export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

# Suppress copyright-checking some binaries to not upset dpkg-source
DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(html/npm.*\.png|html/favicon\.ico|html/n-.*\.png|debian/(changelog|copyright(|_hints|_newhints))|node_modules/npm-registry-client/node_modules/couch-login/test/fixtures/registry\.couch)$

clean::
	make docclean

build/npm::
	make doc

install/npm::
	dh_bash-completion

# Fix permissions
# Remove LICENSE files.
binary-post-install/npm::
	chmod a-x debian/npm/usr/share/npm/bin/read-package-json.js
	chmod a-x debian/npm/usr/share/npm/lib/utils/completion.sh
	chmod a-x debian/npm/usr/share/npm/node_modules/uid-number/get-uid-gid.js
	chmod a-x debian/npm/usr/share/npm/node_modules/npmconf/node_modules/config-chain/index.js
	sed -i -e "s|#!/usr/bin/env node|#!/usr/bin/nodejs|" \
		debian/npm/usr/share/npm/node_modules/opener/opener.js \
		debian/npm/usr/share/npm/node_modules/columnify/node_modules/strip-ansi/cli.js
	find debian/npm -name LICENSE -delete
	find debian/npm -name LICENCE -delete
	find debian/npm -name LICENSE.txt -delete
	find debian/npm -name LICENSE.md -delete

## npm 3.5.2

=== Makefile ===
# vim: set softtabstop=2 shiftwidth=2:
SHELL = bash

PUBLISHTAG = $(shell node scripts/publish-tag.js)
BRANCH = $(shell git rev-parse --abbrev-ref HEAD)

markdowns = $(shell find doc -name '*.md' | grep -v 'index') README.md

html_docdeps = html/dochead.html \
               html/docfoot.html \
               scripts/doc-build.sh \
               package.json

cli_mandocs = $(shell find doc/cli -name '*.md' \
               |sed 's|.md|.1|g' \
               |sed 's|doc/cli/|man/man1/|g' ) \
               man/man1/npm-README.1

files_mandocs = $(shell find doc/files -name '*.md' \
               |sed 's|.md|.5|g' \
               |sed 's|doc/files/|man/man5/|g' ) \
               man/man5/npm-json.5 \
               man/man5/npm-global.5

misc_mandocs = $(shell find doc/misc -name '*.md' \
               |sed 's|.md|.7|g' \
               |sed 's|doc/misc/|man/man7/|g' ) \
               man/man7/npm-index.7

cli_htmldocs = $(shell find doc/cli -name '*.md' \
                |sed 's|.md|.html|g' \
                |sed 's|doc/cli/|html/doc/cli/|g' ) \
                html/doc/README.html

files_htmldocs = $(shell find doc/files -name '*.md' \
                  |sed 's|.md|.html|g' \
                  |sed 's|doc/files/|html/doc/files/|g' ) \
                  html/doc/files/npm-json.html \
                  html/doc/files/npm-global.html

misc_htmldocs = $(shell find doc/misc -name '*.md' \
                 |sed 's|.md|.html|g' \
                 |sed 's|doc/misc/|html/doc/misc/|g' ) \
                 html/doc/index.html

mandocs = $(cli_mandocs) $(files_mandocs) $(misc_mandocs)

htmldocs = $(cli_htmldocs) $(files_htmldocs) $(misc_htmldocs)

all: doc

latest:
	@echo "Installing latest published npm"
	@echo "Use 'make install' or 'make link' to install the code"
	@echo "in this folder that you're looking at right now."
	node cli.js install -g -f npm ${NPMOPTS}

install: all
	node cli.js install -g -f ${NPMOPTS}

# backwards compat
dev: install

link: uninstall
	node cli.js link -f

clean: markedclean marked-manclean doc-clean uninstall
	rm -rf npmrc
	node cli.js cache clean

uninstall:
	node cli.js rm npm -g -f

doc: $(mandocs) $(htmldocs)

markedclean:
	rm -rf node_modules/marked node_modules/.bin/marked .building_marked

marked-manclean:
	rm -rf node_modules/marked-man node_modules/.bin/marked-man .building_marked-man

docclean: doc-clean
doc-clean:
	rm -rf \
    .building_marked \
    .building_marked-man \
    html/doc \
    man

# use `npm install marked-man` for this to work.
man/man1/npm-README.1: README.md scripts/doc-build.sh package.json
	@[ -d man/man1 ] || mkdir -p man/man1
	scripts/doc-build.sh $< $@

man/man1/%.1: doc/cli/%.md scripts/doc-build.sh package.json
	@[ -d man/man1 ] || mkdir -p man/man1
	scripts/doc-build.sh $< $@

man/man5/npm-json.5: man/man5/package.json.5
	cp $< $@

man/man5/npm-global.5: man/man5/npm-folders.5
	cp $< $@

man/man5/%.5: doc/files/%.md scripts/doc-build.sh package.json
	@[ -d man/man5 ] || mkdir -p man/man5
	scripts/doc-build.sh $< $@

doc/misc/npm-index.md: scripts/index-build.js package.json
	node scripts/index-build.js > $@

html/doc/index.html: doc/misc/npm-index.md $(html_docdeps)
	@[ -d html/doc ] || mkdir -p html/doc
	scripts/doc-build.sh $< $@

man/man7/%.7: doc/misc/%.md scripts/doc-build.sh package.json
	@[ -d man/man7 ] || mkdir -p man/man7
	scripts/doc-build.sh $< $@

html/doc/README.html: README.md $(html_docdeps)
	@[ -d html/doc ] || mkdir -p html/doc
	scripts/doc-build.sh $< $@

html/doc/cli/%.html: doc/cli/%.md $(html_docdeps)
	@[ -d html/doc/cli ] || mkdir -p html/doc/cli
	scripts/doc-build.sh $< $@

html/doc/files/npm-json.html: html/doc/files/package.json.html
	cp $< $@

html/doc/files/npm-global.html: html/doc/files/npm-folders.html
	cp $< $@

html/doc/files/%.html: doc/files/%.md $(html_docdeps)
	@[ -d html/doc/files ] || mkdir -p html/doc/files
	scripts/doc-build.sh $< $@

html/doc/misc/%.html: doc/misc/%.md $(html_docdeps)
	@[ -d html/doc/misc ] || mkdir -p html/doc/misc
	scripts/doc-build.sh $< $@


marked: node_modules/.bin/marked

node_modules/.bin/marked:
	node cli.js install marked --no-global

marked-man: node_modules/.bin/marked-man

node_modules/.bin/marked-man:
	node cli.js install marked-man --no-global

doc: man

man: $(cli_docs)

test: doc
	node cli.js test

tag:
	npm tag npm@$(PUBLISHTAG) latest

publish: link doc
	@git push origin :v$(shell npm -v) 2>&1 || true
	git clean -fd &&\
	git push origin $(BRANCH) &&\
	git push origin --tags &&\
	npm publish --tag=$(PUBLISHTAG)

release:
	@bash scripts/release.sh

sandwich:
	@[ $$(whoami) = "root" ] && (echo "ok"; echo "ham" > sandwich) || (echo "make it yourself" && exit 13)

.PHONY: all latest install dev link doc clean uninstall test man doc-clean docclean release

=== node_modules/node-gyp/node_modules/glob/node_modules/minimatch/node_modules/brace-expansion/node_modules/balanced-match/Makefile ===

test:
	@node_modules/.bin/tape test/*.js

.PHONY: test

=== debian/changelog ===
npm (3.5.2-0ubuntu4) xenial; urgency=medium

  * Also make npm-cli.js executable. LP: #1523947

 -- LaMont Jones <lamont.jones@canonical.com>  Mon, 07 Dec 2015 12:36:45 -0700

npm (3.5.2-0ubuntu3) xenial; urgency=medium

  * More binaries executable.

 -- LaMont Jones <lamont.jones@canonical.com>  Mon, 07 Dec 2015 11:58:48 -0700

npm (3.5.2-0ubuntu2) xenial; urgency=medium

  * Fix bin/npm-cli.js to be executable.

 -- Blake Rouse <blake.rouse@canonical.com>  Mon, 07 Dec 2015 12:31:18 -0400

npm (3.5.2-0ubuntu1) xenial; urgency=medium

  * Imported Upstream version 3.5.2.
  * Fix patches to applie to the new upstream version. Remove 2008 patch
    as its already been fixed upstream. Rename 2009 and 2010 patches to stay
    in order.

 -- Blake Rouse <blake.rouse@canonical.com>  Thu, 03 Dec 2015 00:28:58 -0400

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: npm
 Section: web
 Priority: extra
-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Original-Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jérémy Lal <kapouer@melix.org>,
  Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
@@ -10,18 +11,20 @@
  bash-completion,
  nodejs,
  node-glob,
- ruby-ronn
-Standards-Version: 3.9.4
+ ruby-ronn,
+ node-marked
+Standards-Version: 3.9.5
 Homepage: http://github.com/isaacs/npm
-Vcs-Git: git://anonscm.debian.org/collab-maint/npm.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/npm.git
+Vcs-Git: git://anonscm.debian.org/pkg-javascript/npm.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-javascript/npm.git
 
 Package: npm
 Architecture: all
 Depends: nodejs,
  ${misc:Depends},
  node-abbrev (>= 1.0.4),
- node-ansi,
+ node-ansi (>= 0.3.0-2),
+ node-ansi-color-table,
  node-archy,
  node-block-stream,
  node-fstream (>= 0.1.22),
@@ -36,7 +39,7 @@
  node-minimatch (>= 0.2.11),
  node-mkdirp (>= 0.3.3),
  node-gyp (>= 0.10.9),
- node-nopt (>= 2.1.1),
+ node-nopt (>= 3.0.1),
  node-npmlog,
  node-once,
  node-osenv,
@@ -49,6 +52,7 @@
  node-sha,
  node-slide,
  node-tar (>= 0.1.18),
+ node-underscore,
  node-which
 Description: package manager for Node.js
  Node.js is an event-based server-side javascript engine.

=== debian/rules ===
--- 
+++ 
@@ -24,16 +24,16 @@
 
 # Fix permissions
 # Remove LICENSE files.
-binary-post-install/npm::
+binary-fixup/npm::
+	dh_fixperms
+	chmod a+x debian/npm/usr/share/npm/node_modules/*/bin/*
+	chmod a+x debian/npm/usr/share/npm/bin/npm-cli.js
 	chmod a-x debian/npm/usr/share/npm/bin/read-package-json.js
 	chmod a-x debian/npm/usr/share/npm/lib/utils/completion.sh
 	chmod a-x debian/npm/usr/share/npm/node_modules/uid-number/get-uid-gid.js
-	chmod a-x debian/npm/usr/share/npm/node_modules/npmconf/node_modules/config-chain/index.js
 	sed -i -e "s|#!/usr/bin/env node|#!/usr/bin/nodejs|" \
-		debian/npm/usr/share/npm/node_modules/opener/opener.js \
-		debian/npm/usr/share/npm/node_modules/columnify/node_modules/strip-ansi/cli.js
+		debian/npm/usr/share/npm/node_modules/opener/opener.js
 	find debian/npm -name LICENSE -delete
 	find debian/npm -name LICENCE -delete
 	find debian/npm -name LICENSE.txt -delete
 	find debian/npm -name LICENSE.md -delete
-

=== debian/watch ===
version=3
opts=\
uversionmangle=s/$/+ds/,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/npm-$1.tar.gz/,\
dversionmangle=s/\+ds$// \
https://github.com/isaacs/npm/tags .*/archive/v?([\d\.]+).tar.gz
